Skip to content
6269 7860
sales@goodhill.com
30 Kranji Loop, @, #04-01 Block A, TimMac, 739570
Home
About
Products
Door
Fire Rated Door
Acoustic Door
Classic Door
Merbau Door
Decorative Glass Door
Engineered Door
Designer Door
DuraFloor Interior Flooring
DURAFLOOR Rigid Core Floor
Nano-Tech Resilient Flooring
Hyper Rigid Wood Flooring – Roak Series
Dura Outdoor Decking
DuraDeck Ultra Embossed Outdoor Decking in Singapore | Goodhill
DURADECK APEX Composite Deck
Scapeturf Premium Artificial Grass
EzFix Wall Plant Panels
Designs
Special Offer
Contact
Articles
FAQ for Goodhill Products
X
Call Us
Search
Category:
Rigid Core Flooring
Home
Products
Vinyl Flooring
Rigid Core Flooring
Rigid Core Flooring
Showing all 8 results
Default sorting
Sort by popularity
Sort by latest
Sort by price: low to high
Sort by price: high to low
RFC-267 Brazilian Hevea
RFC-176 African Teak
RFC-287 Heritage Grey
RFC-195 Valley Maple
RCF-347 Silvery Elm
RCF-352 Tanzania Almond
RCF-382 Farmhouse Oak
RCF-342 Winter Elm
→
WhatsApp
Phone